Print Friendly

# Class Ext.dd.ScrollManager

Package: | Ext.dd
Class: | ScrollManager
Extends: | Object
Defined In: | ScrollManager.js

Provides automatic scrolling of overflow regions in the page during drag operations.
Note: This class uses "Point Mode" and is untested in "Intersect Mode".
This class is a singleton and cannot be created directly.
Properties - Methods - Events

## Public Properties

Property | Defined By
--- | ---
| animDuration : Number | ScrollManager
The animation duration in seconds - MUST BE less than Ext.dd.ScrollManager.frequency! (defaults to .4)
| animate : Boolean | ScrollManager
True to animate the scroll (defaults to true)
| frequency : Number | ScrollManager
The frequency of scrolls in milliseconds (defaults to 500)
| increment : Number | ScrollManager
The number of pixels to scroll in each scroll increment (defaults to 50)
| thresh : Number | ScrollManager
The number of pixels from the edge of a container the pointer needs to be to trigger scrolling (defaults to 25)

## Public Methods

Method | Defined By
--- | ---
| refreshCache() : void | ScrollManager
Manually trigger a cache refresh.
| register(`String/HTMLElement/Element/Array el`) : void | ScrollManager
Registers new overflow element(s) to auto scroll
| unregister(`String/HTMLElement/Element/Array el`) : void | ScrollManager
Unregisters overflow element(s) so they are no longer scrolled

## Public Events

This class has no public events.

## Property Details

### animDuration

`public Number animDuration`
The animation duration in seconds - MUST BE less than Ext.dd.ScrollManager.frequency! (defaults to .4)
This property is defined by ScrollManager.

### animate

`public Boolean animate`
True to animate the scroll (defaults to true)
This property is defined by ScrollManager.

### frequency

`public Number frequency`
The frequency of scrolls in milliseconds (defaults to 500)
This property is defined by ScrollManager.

### increment

`public Number increment`
The number of pixels to scroll in each scroll increment (defaults to 50)
This property is defined by ScrollManager.

### thresh

`public Number thresh`
The number of pixels from the edge of a container the pointer needs to be to trigger scrolling (defaults to 25)
This property is defined by ScrollManager.

## Method Details

### refreshCache

`public function refreshCache()`
Manually trigger a cache refresh.
Parameters:

- None.

Returns:

- `void`

This method is defined by ScrollManager.

### register

`public function register(`String/HTMLElement/Element/Array el`)`
Registers new overflow element(s) to auto scroll
Parameters:

- `el` : String/HTMLElement/Element/Array
  The id of or the element to be scrolled or an array of either

Returns:

- `void`

This method is defined by ScrollManager.

### unregister

`public function unregister(`String/HTMLElement/Element/Array el`)`
Unregisters overflow element(s) so they are no longer scrolled
Parameters:

- `el` : String/HTMLElement/Element/Array
  The id of or the element to be removed or an array of either

Returns:

- `void`

This method is defined by ScrollManager.

Ext - Copyright © 2006-2007 Ext JS, LLC
All rights reserved.